org.eclipse.rdf4j.query.parser.sparql.ast

## Interface SyntaxTreeBuilderTreeConstants

- All Known Implementing Classes:
    SyntaxTreeBuilder

      public interface SyntaxTreeBuilderTreeConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `JJTABS`
    `static int` | `JJTADD`
    `static int` | `JJTAND`
    `static int` | `JJTASKQUERY`
    `static int` | `JJTAVG`
    `static int` | `JJTBASEDECL`
    `static int` | `JJTBASICGRAPHPATTERN`
    `static int` | `JJTBIND`
    `static int` | `JJTBINDINGSCLAUSE`
    `static int` | `JJTBINDINGSET`
    `static int` | `JJTBINDINGVALUE`
    `static int` | `JJTBLANKNODE`
    `static int` | `JJTBLANKNODEPROPERTYLIST`
    `static int` | `JJTBNODEFUNC`
    `static int` | `JJTBOUND`
    `static int` | `JJTCEIL`
    `static int` | `JJTCLEAR`
    `static int` | `JJTCOALESCE`
    `static int` | `JJTCOLLECTION`
    `static int` | `JJTCOMPARE`
    `static int` | `JJTCONCAT`
    `static int` | `JJTCONSTRAINT`
    `static int` | `JJTCONSTRUCT`
    `static int` | `JJTCONSTRUCTQUERY`
    `static int` | `JJTCONTAINS`
    `static int` | `JJTCOPY`
    `static int` | `JJTCOUNT`
    `static int` | `JJTCREATE`
    `static int` | `JJTDATASETCLAUSE`
    `static int` | `JJTDATATYPE`
    `static int` | `JJTDAY`
    `static int` | `JJTDELETECLAUSE`
    `static int` | `JJTDELETEDATA`
    `static int` | `JJTDELETEWHERE`
    `static int` | `JJTDESCRIBE`
    `static int` | `JJTDESCRIBEQUERY`
    `static int` | `JJTDROP`
    `static int` | `JJTENCODEFORURI`
    `static int` | `JJTEXISTSFUNC`
    `static int` | `JJTFALSE`
    `static int` | `JJTFLOOR`
    `static int` | `JJTFUNCTIONCALL`
    `static int` | `JJTGRAPHGRAPHPATTERN`
    `static int` | `JJTGRAPHORDEFAULT`
    `static int` | `JJTGRAPHPATTERNGROUP`
    `static int` | `JJTGRAPHREFALL`
    `static int` | `JJTGROUPCLAUSE`
    `static int` | `JJTGROUPCONCAT`
    `static int` | `JJTGROUPCONDITION`
    `static int` | `JJTHAVINGCLAUSE`
    `static int` | `JJTHOURS`
    `static int` | `JJTIF`
    `static int` | `JJTIN`
    `static int` | `JJTINFIX`
    `static int` | `JJTINLINEDATA`
    `static int` | `JJTINSERTCLAUSE`
    `static int` | `JJTINSERTDATA`
    `static int` | `JJTIRI`
    `static int` | `JJTIRIFUNC`
    `static int` | `JJTISBLANK`
    `static int` | `JJTISIRI`
    `static int` | `JJTISLITERAL`
    `static int` | `JJTISNUMERIC`
    `static int` | `JJTLANG`
    `static int` | `JJTLANGMATCHES`
    `static int` | `JJTLIMIT`
    `static int` | `JJTLOAD`
    `static int` | `JJTLOWERCASE`
    `static int` | `JJTMATH`
    `static int` | `JJTMAX`
    `static int` | `JJTMD5`
    `static int` | `JJTMIN`
    `static int` | `JJTMINUSGRAPHPATTERN`
    `static int` | `JJTMINUTES`
    `static int` | `JJTMODIFY`
    `static int` | `JJTMONTH`
    `static int` | `JJTMOVE`
    `static String[]` | `jjtNodeName`
    `static int` | `JJTNOT`
    `static int` | `JJTNOTEXISTSFUNC`
    `static int` | `JJTNOTIN`
    `static int` | `JJTNOW`
    `static int` | `JJTNUMERICLITERAL`
    `static int` | `JJTOBJECTLIST`
    `static int` | `JJTOFFSET`
    `static int` | `JJTOPTIONALGRAPHPATTERN`
    `static int` | `JJTOR`
    `static int` | `JJTORDERCLAUSE`
    `static int` | `JJTORDERCONDITION`
    `static int` | `JJTPATHALTERNATIVE`
    `static int` | `JJTPATHELT`
    `static int` | `JJTPATHMOD`
    `static int` | `JJTPATHONEINPROPERTYSET`
    `static int` | `JJTPATHSEQUENCE`
    `static int` | `JJTPREFIXDECL`
    `static int` | `JJTPROJECTIONELEM`
    `static int` | `JJTPROPERTYLIST`
    `static int` | `JJTPROPERTYLISTPATH`
    `static int` | `JJTQNAME`
    `static int` | `JJTQUADSNOTTRIPLES`
    `static int` | `JJTQUERYCONTAINER`
    `static int` | `JJTRAND`
    `static int` | `JJTRDFLITERAL`
    `static int` | `JJTREGEXEXPRESSION`
    `static int` | `JJTREPLACE`
    `static int` | `JJTROUND`
    `static int` | `JJTSAMETERM`
    `static int` | `JJTSAMPLE`
    `static int` | `JJTSECONDS`
    `static int` | `JJTSELECT`
    `static int` | `JJTSELECTQUERY`
    `static int` | `JJTSERVICEGRAPHPATTERN`
    `static int` | `JJTSHA1`
    `static int` | `JJTSHA224`
    `static int` | `JJTSHA256`
    `static int` | `JJTSHA384`
    `static int` | `JJTSHA512`
    `static int` | `JJTSTR`
    `static int` | `JJTSTRAFTER`
    `static int` | `JJTSTRBEFORE`
    `static int` | `JJTSTRDT`
    `static int` | `JJTSTRENDS`
    `static int` | `JJTSTRING`
    `static int` | `JJTSTRLANG`
    `static int` | `JJTSTRLEN`
    `static int` | `JJTSTRSTARTS`
    `static int` | `JJTSTRUUID`
    `static int` | `JJTSUBSTR`
    `static int` | `JJTSUM`
    `static int` | `JJTTIMEZONE`
    `static int` | `JJTTRIPLESSAMESUBJECT`
    `static int` | `JJTTRIPLESSAMESUBJECTPATH`
    `static int` | `JJTTRUE`
    `static int` | `JJTTZ`
    `static int` | `JJTUNIONGRAPHPATTERN`
    `static int` | `JJTUNPARSEDQUADDATABLOCK`
    `static int` | `JJTUPDATECONTAINER`
    `static int` | `JJTUPDATESEQUENCE`
    `static int` | `JJTUPPERCASE`
    `static int` | `JJTUUID`
    `static int` | `JJTVAR`
    `static int` | `JJTVOID`
    `static int` | `JJTWHERECLAUSE`
    `static int` | `JJTYEAR`

- - ### Field Detail

    - #### JJTUPDATESEQUENCE

          static final int JJTUPDATESEQUENCE

      See Also:
        Constant Field Values

    - #### JJTUPDATECONTAINER

          static final int JJTUPDATECONTAINER

      See Also:
        Constant Field Values

    - #### JJTQUERYCONTAINER

          static final int JJTQUERYCONTAINER

      See Also:
        Constant Field Values

    - #### JJTVOID

          static final int JJTVOID

      See Also:
        Constant Field Values

    - #### JJTBASEDECL

          static final int JJTBASEDECL

      See Also:
        Constant Field Values

    - #### JJTPREFIXDECL

          static final int JJTPREFIXDECL

      See Also:
        Constant Field Values

    - #### JJTSELECTQUERY

          static final int JJTSELECTQUERY

      See Also:
        Constant Field Values

    - #### JJTSELECT

          static final int JJTSELECT

      See Also:
        Constant Field Values

    - #### JJTPROJECTIONELEM

          static final int JJTPROJECTIONELEM

      See Also:
        Constant Field Values

    - #### JJTCONSTRUCTQUERY

          static final int JJTCONSTRUCTQUERY

      See Also:
        Constant Field Values

    - #### JJTCONSTRUCT

          static final int JJTCONSTRUCT

      See Also:
        Constant Field Values

    - #### JJTDESCRIBEQUERY

          static final int JJTDESCRIBEQUERY

      See Also:
        Constant Field Values

    - #### JJTDESCRIBE

          static final int JJTDESCRIBE

      See Also:
        Constant Field Values

    - #### JJTASKQUERY

          static final int JJTASKQUERY

      See Also:
        Constant Field Values

    - #### JJTDATASETCLAUSE

          static final int JJTDATASETCLAUSE

      See Also:
        Constant Field Values

    - #### JJTWHERECLAUSE

          static final int JJTWHERECLAUSE

      See Also:
        Constant Field Values

    - #### JJTBINDINGSCLAUSE

          static final int JJTBINDINGSCLAUSE

      See Also:
        Constant Field Values

    - #### JJTINLINEDATA

          static final int JJTINLINEDATA

      See Also:
        Constant Field Values

    - #### JJTBINDINGSET

          static final int JJTBINDINGSET

      See Also:
        Constant Field Values

    - #### JJTBINDINGVALUE

          static final int JJTBINDINGVALUE

      See Also:
        Constant Field Values

    - #### JJTGROUPCLAUSE

          static final int JJTGROUPCLAUSE

      See Also:
        Constant Field Values

    - #### JJTORDERCLAUSE

          static final int JJTORDERCLAUSE

      See Also:
        Constant Field Values

    - #### JJTGROUPCONDITION

          static final int JJTGROUPCONDITION

      See Also:
        Constant Field Values

    - #### JJTHAVINGCLAUSE

          static final int JJTHAVINGCLAUSE

      See Also:
        Constant Field Values

    - #### JJTORDERCONDITION

          static final int JJTORDERCONDITION

      See Also:
        Constant Field Values

    - #### JJTLIMIT

          static final int JJTLIMIT

      See Also:
        Constant Field Values

    - #### JJTOFFSET

          static final int JJTOFFSET

      See Also:
        Constant Field Values

    - #### JJTGRAPHPATTERNGROUP

          static final int JJTGRAPHPATTERNGROUP

      See Also:
        Constant Field Values

    - #### JJTBASICGRAPHPATTERN

          static final int JJTBASICGRAPHPATTERN

      See Also:
        Constant Field Values

    - #### JJTOPTIONALGRAPHPATTERN

          static final int JJTOPTIONALGRAPHPATTERN

      See Also:
        Constant Field Values

    - #### JJTGRAPHGRAPHPATTERN

          static final int JJTGRAPHGRAPHPATTERN

      See Also:
        Constant Field Values

    - #### JJTUNIONGRAPHPATTERN

          static final int JJTUNIONGRAPHPATTERN

      See Also:
        Constant Field Values

    - #### JJTMINUSGRAPHPATTERN

          static final int JJTMINUSGRAPHPATTERN

      See Also:
        Constant Field Values

    - #### JJTSERVICEGRAPHPATTERN

          static final int JJTSERVICEGRAPHPATTERN

      See Also:
        Constant Field Values

    - #### JJTCONSTRAINT

          static final int JJTCONSTRAINT

      See Also:
        Constant Field Values

    - #### JJTFUNCTIONCALL

          static final int JJTFUNCTIONCALL

      See Also:
        Constant Field Values

    - #### JJTTRIPLESSAMESUBJECT

          static final int JJTTRIPLESSAMESUBJECT

      See Also:
        Constant Field Values

    - #### JJTPROPERTYLIST

          static final int JJTPROPERTYLIST

      See Also:
        Constant Field Values

    - #### JJTOBJECTLIST

          static final int JJTOBJECTLIST

      See Also:
        Constant Field Values

    - #### JJTTRIPLESSAMESUBJECTPATH

          static final int JJTTRIPLESSAMESUBJECTPATH

      See Also:
        Constant Field Values

    - #### JJTPROPERTYLISTPATH

          static final int JJTPROPERTYLISTPATH

      See Also:
        Constant Field Values

    - #### JJTPATHALTERNATIVE

          static final int JJTPATHALTERNATIVE

      See Also:
        Constant Field Values

    - #### JJTPATHSEQUENCE

          static final int JJTPATHSEQUENCE

      See Also:
        Constant Field Values

    - #### JJTPATHELT

          static final int JJTPATHELT

      See Also:
        Constant Field Values

    - #### JJTIRI

          static final int JJTIRI

      See Also:
        Constant Field Values

    - #### JJTPATHONEINPROPERTYSET

          static final int JJTPATHONEINPROPERTYSET

      See Also:
        Constant Field Values

    - #### JJTPATHMOD

          static final int JJTPATHMOD

      See Also:
        Constant Field Values

    - #### JJTBLANKNODEPROPERTYLIST

          static final int JJTBLANKNODEPROPERTYLIST

      See Also:
        Constant Field Values

    - #### JJTCOLLECTION

          static final int JJTCOLLECTION

      See Also:
        Constant Field Values

    - #### JJTVAR

          static final int JJTVAR

      See Also:
        Constant Field Values

    - #### JJTOR

          static final int JJTOR

      See Also:
        Constant Field Values

    - #### JJTAND

          static final int JJTAND

      See Also:
        Constant Field Values

    - #### JJTCOMPARE

          static final int JJTCOMPARE

      See Also:
        Constant Field Values

    - #### JJTINFIX

          static final int JJTINFIX

      See Also:
        Constant Field Values

    - #### JJTMATH

          static final int JJTMATH

      See Also:
        Constant Field Values

    - #### JJTNOT

          static final int JJTNOT

      See Also:
        Constant Field Values

    - #### JJTNUMERICLITERAL

          static final int JJTNUMERICLITERAL

      See Also:
        Constant Field Values

    - #### JJTCOUNT

          static final int JJTCOUNT

      See Also:
        Constant Field Values

    - #### JJTSUM

          static final int JJTSUM

      See Also:
        Constant Field Values

    - #### JJTMIN

          static final int JJTMIN

      See Also:
        Constant Field Values

    - #### JJTMAX

          static final int JJTMAX

      See Also:
        Constant Field Values

    - #### JJTAVG

          static final int JJTAVG

      See Also:
        Constant Field Values

    - #### JJTSAMPLE

          static final int JJTSAMPLE

      See Also:
        Constant Field Values

    - #### JJTGROUPCONCAT

          static final int JJTGROUPCONCAT

      See Also:
        Constant Field Values

    - #### JJTMD5

          static final int JJTMD5

      See Also:
        Constant Field Values

    - #### JJTSHA1

          static final int JJTSHA1

      See Also:
        Constant Field Values

    - #### JJTSHA224

          static final int JJTSHA224

      See Also:
        Constant Field Values

    - #### JJTSHA256

          static final int JJTSHA256

      See Also:
        Constant Field Values

    - #### JJTSHA384

          static final int JJTSHA384

      See Also:
        Constant Field Values

    - #### JJTSHA512

          static final int JJTSHA512

      See Also:
        Constant Field Values

    - #### JJTNOW

          static final int JJTNOW

      See Also:
        Constant Field Values

    - #### JJTYEAR

          static final int JJTYEAR

      See Also:
        Constant Field Values

    - #### JJTMONTH

          static final int JJTMONTH

      See Also:
        Constant Field Values

    - #### JJTDAY

          static final int JJTDAY

      See Also:
        Constant Field Values

    - #### JJTHOURS

          static final int JJTHOURS

      See Also:
        Constant Field Values

    - #### JJTMINUTES

          static final int JJTMINUTES

      See Also:
        Constant Field Values

    - #### JJTSECONDS

          static final int JJTSECONDS

      See Also:
        Constant Field Values

    - #### JJTTIMEZONE

          static final int JJTTIMEZONE

      See Also:
        Constant Field Values

    - #### JJTTZ

          static final int JJTTZ

      See Also:
        Constant Field Values

    - #### JJTRAND

          static final int JJTRAND

      See Also:
        Constant Field Values

    - #### JJTABS

          static final int JJTABS

      See Also:
        Constant Field Values

    - #### JJTCEIL

          static final int JJTCEIL

      See Also:
        Constant Field Values

    - #### JJTFLOOR

          static final int JJTFLOOR

      See Also:
        Constant Field Values

    - #### JJTROUND

          static final int JJTROUND

      See Also:
        Constant Field Values

    - #### JJTSUBSTR

          static final int JJTSUBSTR

      See Also:
        Constant Field Values

    - #### JJTSTRLEN

          static final int JJTSTRLEN

      See Also:
        Constant Field Values

    - #### JJTUPPERCASE

          static final int JJTUPPERCASE

      See Also:
        Constant Field Values

    - #### JJTLOWERCASE

          static final int JJTLOWERCASE

      See Also:
        Constant Field Values

    - #### JJTSTRSTARTS

          static final int JJTSTRSTARTS

      See Also:
        Constant Field Values

    - #### JJTSTRENDS

          static final int JJTSTRENDS

      See Also:
        Constant Field Values

    - #### JJTSTRBEFORE

          static final int JJTSTRBEFORE

      See Also:
        Constant Field Values

    - #### JJTSTRAFTER

          static final int JJTSTRAFTER

      See Also:
        Constant Field Values

    - #### JJTREPLACE

          static final int JJTREPLACE

      See Also:
        Constant Field Values

    - #### JJTCONCAT

          static final int JJTCONCAT

      See Also:
        Constant Field Values

    - #### JJTCONTAINS

          static final int JJTCONTAINS

      See Also:
        Constant Field Values

    - #### JJTENCODEFORURI

          static final int JJTENCODEFORURI

      See Also:
        Constant Field Values

    - #### JJTIF

          static final int JJTIF

      See Also:
        Constant Field Values

    - #### JJTIN

          static final int JJTIN

      See Also:
        Constant Field Values

    - #### JJTNOTIN

          static final int JJTNOTIN

      See Also:
        Constant Field Values

    - #### JJTCOALESCE

          static final int JJTCOALESCE

      See Also:
        Constant Field Values

    - #### JJTSTR

          static final int JJTSTR

      See Also:
        Constant Field Values

    - #### JJTLANG

          static final int JJTLANG

      See Also:
        Constant Field Values

    - #### JJTLANGMATCHES

          static final int JJTLANGMATCHES

      See Also:
        Constant Field Values

    - #### JJTDATATYPE

          static final int JJTDATATYPE

      See Also:
        Constant Field Values

    - #### JJTBOUND

          static final int JJTBOUND

      See Also:
        Constant Field Values

    - #### JJTSAMETERM

          static final int JJTSAMETERM

      See Also:
        Constant Field Values

    - #### JJTISIRI

          static final int JJTISIRI

      See Also:
        Constant Field Values

    - #### JJTISBLANK

          static final int JJTISBLANK

      See Also:
        Constant Field Values

    - #### JJTISLITERAL

          static final int JJTISLITERAL

      See Also:
        Constant Field Values

    - #### JJTISNUMERIC

          static final int JJTISNUMERIC

      See Also:
        Constant Field Values

    - #### JJTBNODEFUNC

          static final int JJTBNODEFUNC

      See Also:
        Constant Field Values

    - #### JJTIRIFUNC

          static final int JJTIRIFUNC

      See Also:
        Constant Field Values

    - #### JJTSTRDT

          static final int JJTSTRDT

      See Also:
        Constant Field Values

    - #### JJTSTRLANG

          static final int JJTSTRLANG

      See Also:
        Constant Field Values

    - #### JJTUUID

          static final int JJTUUID

      See Also:
        Constant Field Values

    - #### JJTSTRUUID

          static final int JJTSTRUUID

      See Also:
        Constant Field Values

    - #### JJTBIND

          static final int JJTBIND

      See Also:
        Constant Field Values

    - #### JJTREGEXEXPRESSION

          static final int JJTREGEXEXPRESSION

      See Also:
        Constant Field Values

    - #### JJTEXISTSFUNC

          static final int JJTEXISTSFUNC

      See Also:
        Constant Field Values

    - #### JJTNOTEXISTSFUNC

          static final int JJTNOTEXISTSFUNC

      See Also:
        Constant Field Values

    - #### JJTRDFLITERAL

          static final int JJTRDFLITERAL

      See Also:
        Constant Field Values

    - #### JJTTRUE

          static final int JJTTRUE

      See Also:
        Constant Field Values

    - #### JJTFALSE

          static final int JJTFALSE

      See Also:
        Constant Field Values

    - #### JJTSTRING

          static final int JJTSTRING

      See Also:
        Constant Field Values

    - #### JJTQNAME

          static final int JJTQNAME

      See Also:
        Constant Field Values

    - #### JJTBLANKNODE

          static final int JJTBLANKNODE

      See Also:
        Constant Field Values

    - #### JJTGRAPHREFALL

          static final int JJTGRAPHREFALL

      See Also:
        Constant Field Values

    - #### JJTGRAPHORDEFAULT

          static final int JJTGRAPHORDEFAULT

      See Also:
        Constant Field Values

    - #### JJTUNPARSEDQUADDATABLOCK

          static final int JJTUNPARSEDQUADDATABLOCK

      See Also:
        Constant Field Values

    - #### JJTQUADSNOTTRIPLES

          static final int JJTQUADSNOTTRIPLES

      See Also:
        Constant Field Values

    - #### JJTLOAD

          static final int JJTLOAD

      See Also:
        Constant Field Values

    - #### JJTCLEAR

          static final int JJTCLEAR

      See Also:
        Constant Field Values

    - #### JJTDROP

          static final int JJTDROP

      See Also:
        Constant Field Values

    - #### JJTADD

          static final int JJTADD

      See Also:
        Constant Field Values

    - #### JJTMOVE

          static final int JJTMOVE

      See Also:
        Constant Field Values

    - #### JJTCOPY

          static final int JJTCOPY

      See Also:
        Constant Field Values

    - #### JJTCREATE

          static final int JJTCREATE

      See Also:
        Constant Field Values

    - #### JJTINSERTDATA

          static final int JJTINSERTDATA

      See Also:
        Constant Field Values

    - #### JJTDELETEDATA

          static final int JJTDELETEDATA

      See Also:
        Constant Field Values

    - #### JJTDELETEWHERE

          static final int JJTDELETEWHERE

      See Also:
        Constant Field Values

    - #### JJTDELETECLAUSE

          static final int JJTDELETECLAUSE

      See Also:
        Constant Field Values

    - #### JJTINSERTCLAUSE

          static final int JJTINSERTCLAUSE

      See Also:
        Constant Field Values

    - #### JJTMODIFY

          static final int JJTMODIFY

      See Also:
        Constant Field Values

    - #### jjtNodeName

          static final String[] jjtNodeName

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.